Name:           squidGuardRobot
Version:        2.3.6
Release:        1%{?dist}
Summary:        use to compile the contributed blacklists

Group:          Applications/Internet
License:        GPL
URL:            http://ftp.ost.eltele.no/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

#BuildRequires:	
Requires:       perl(LWP::Parallel::UserAgent)
Requires:       squidGuard

%description
As of squidGuardRobot-2.3.6 the new robot seems functioning properly
and stable.


%prep
%setup -q -c
cd robot

pushd bin
for file in findkey list2url listdb rmkey squidGuardRobot
do
	sed -i -e 's|/local/bin/perl|%{_bindir}/perl|g' \
	-e 's| /local/bin/perl|%{_bindir}/perl|g' $file
done
sed -i -e 's|/var/spool/www/hosts/proxy.teledanmark.no/filter/robot|%{_var}/squidGuard/robot|g;' squidGuardRobot
popd

%build


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT/%{perl_vendorlib}
mkdir -p $RPM_BUILD_ROOT%{_var}/squidGuard/robot/etc

cd robot
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT/%{perl_vendorlib}
touch $RPM_BUILD_ROOT%{_var}/squidGuard/robot/etc/{source,candidate,link,domainexception,urlexception,exception,include,redirector,patterns,domain,url,domains,urls}

%files
%doc robot/{CHANGELOG,COPYING,GPL,README}
%{_bindir}/*
%{perl_vendorlib}/*
%{_var}/squidGuard/robot/etc/*

%changelog
* Wed Jan  8 2014 momo-i <webmaster@momo-i.org> - 2.3.6-1
- Initial rpm release.
